option Explicit

' ************************************************************
' **                                                        **
' **            S C R I P T   O P T I O N S                 **
' **                                                        **
' ************************************************************

' ** name of the shortcut to create
Const strShortcutName = "Accounts-Vista"

' ** name of the Accounts Manager - HTA script file
Const strAppHTA = "Accounts.hta"

' ** full path to the HTA host application
Const strHostHTA = "C:\Windows\System32\mshta.exe"




' ************************************************************
' **                                                        **
' **          S C R I P T   E X E C U T I O N               **
' **                                                        **
' ************************************************************

Dim objFSO, objShell, objLink
Dim strCurDir, strShortcutFile 

' get path to the current directory
strCurDir = Left(WScript.ScriptFullName, InStrRev(WScript.ScriptFullName, "\"))

' create full name/path for the shortcut file
strShortcutFile = strCurDir & strShortcutName & ".lnk"

' delete shotcut file if exists
Set objFSO = CreateObject("Scripting.FileSystemObject")
If objFSO.FileExists(strShortcutFile) Then objFSO.DeleteFile strShortcutFile, True
Set objFSO = Nothing

' create shortcut
Set objShell = WScript.CreateObject("WScript.Shell")
Set objLink = objShell.CreateShortcut(strShortcutFile)
objLink.TargetPath = strHostHTA
objLink.Arguments = strCurDir & strAppHTA
objLink.Save

' done
MsgBox "Shortcut created!" & vbCrLf & "Right-click '" & strShortcutName & "' and select Run as administrator.", vbInformation, "Create shortcut for Windows Vista"
